Page MenuHomePhabricator

Archive the MSSQLBackCompat extension
Closed, ResolvedPublicRequest

Description

Reason
Wikipage was archived today, although the rest of process doesn't appeared to be actioned.

To-do list

  • This task
    • Add maintainers of that extension/skin as subscribers to this task (if they have no apparent Phabricator account, notify them on-wiki or via email if possible and note it here).
    • Add Phabricator project <#ProjectX> as a tag for this task, and remove MediaWiki-extensions-Other/Other-skins as appropriate.
  • On-wiki documentation
    • Archive documentation on mediawiki.org (provide URL): replace page contents with {{Archived extension|last revision id before archiving|reason=archive reasons, per {{phab|T######}}.}} (for extensions)/{{Archived skin|last revision|reason=archive reasons, per {{phab|T######}}.}} (for skins); replace T###### with this task's number.
    • If documentation page was translatable, remove <translate>, visit Special:PageTranslation, and click "remove from translation" (if you don't have the translation administrator right, ask a user who does).
    • Update Wikidata item (provide URL) associated with documentation page
      • add statement Abandonware (Q281039) to instance of (P31) together with qualifier start time (P580) = the YYYY-MM-DD date that you decided to archive extension/skin (generally per edit history)
      • add qualifier end time (P582) = the YYYY-MM-DD (same date as above) to instance of (P31) = MediaWiki extension (Q6805426)/MediaWiki skin (Q21996535)
  • Phabricator
    • Mark all Phabricator tasks for the extension/skin either Declined or Invalid. Add a comment pointing to this task when doing so for reference.
    • [ ] Archive Phabricator project <#ProjectX> for the extension/skin.
    • [ ] Edit Phabricator project <#ProjectX> description for the extension/skin with a link to this ticket.
  • Translatewiki.net/translations
  • Configuration/tests/integrations/etc.
  • Repositories

Event Timeline

Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptMar 31 2020, 10:07 AM
Peachey88 updated the task description. (Show Details)
Zoranzoki21 updated the task description. (Show Details)Mar 31 2020, 11:03 AM
Zoranzoki21 updated the task description. (Show Details)
Zoranzoki21 added a subscriber: Reedy.
Zoranzoki21 added a subscriber: Zoranzoki21.

Let me do all what I can.

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptMar 31 2020, 11:08 AM
Zoranzoki21 updated the task description. (Show Details)Apr 13 2020, 9:10 PM
Zoranzoki21 moved this task from Untriaged to Archive extensions on the Projects-Cleanup board.
Zoranzoki21 moved this task from Backlog to Cleanup / Archival on the Repository-Admins board.
Zoranzoki21 moved this task from Backlog to delete on the Wikimedia-GitHub board.
Zoranzoki21 moved this task from Backlog to Configuration changes on the translatewiki.net board.

Change 588489 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[translatewiki@master] mediawiki-extensions.txt: Remove MSSQLBackCompat extension

https://gerrit.wikimedia.org/r/588489

Change 588490 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[integration/config@master] Archive the MSSQLBackCompat extension

https://gerrit.wikimedia.org/r/588490

Change 588491 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions@master] Archive the MSSQLBackCompat extension

https://gerrit.wikimedia.org/r/588491

Zoranzoki21 updated the task description. (Show Details)Apr 13 2020, 9:17 PM

Change 588490 merged by jenkins-bot:
[integration/config@master] Archive the MSSQLBackCompat extension

https://gerrit.wikimedia.org/r/588490

Mentioned in SAL (#wikimedia-releng) [2020-04-13T21:20:30Z] <James_F> Zuul: Archive the MSSQLBackCompat extension T248965

Change 588494 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/MSSQLBackCompat@master] Archive the extension

https://gerrit.wikimedia.org/r/588494

I made all needed patches, someone should +2 it and archive/delete repositories on Gerrit, GitHub and here on Phabricator.

Change 588489 merged by jenkins-bot:
[translatewiki@master] mediawiki-extensions.txt: Remove MSSQLBackCompat extension

https://gerrit.wikimedia.org/r/588489

Zoranzoki21 updated the task description. (Show Details)Apr 14 2020, 8:55 AM

Change 588491 merged by Jforrester:
[mediawiki/extensions@master] Archive the MSSQLBackCompat extension

https://gerrit.wikimedia.org/r/588491

Zoranzoki21 updated the task description. (Show Details)Apr 14 2020, 8:06 PM

Change 588494 merged by Jforrester:
[mediawiki/extensions/MSSQLBackCompat@master] Archive the extension

https://gerrit.wikimedia.org/r/588494

Zoranzoki21 updated the task description. (Show Details)Apr 14 2020, 8:12 PM
Zoranzoki21 updated the task description. (Show Details)Apr 14 2020, 8:19 PM
MGChecker updated the task description. (Show Details)Apr 15 2020, 8:28 AM
hashar closed this task as Resolved.Apr 17 2020, 11:43 PM
hashar updated the task description. (Show Details)